( cd sbin/installer_new ; rm -rf zstd )
( cd sbin/installer_new ; ln -sf zstd-1.5.0-static zstd )
( cd sbin/installer_new ; rm -rf dialog )
( cd sbin/installer_new ; ln -sf dialog-1.3-static dialog )
#%% begin initialize 
if [ -d /sbin/installer_old ]; then
  rm -rf /sbin/installer_old
fi

if [ -x /bin/mv ]; then
  if [ -d /sbin/installer ]; then
    /bin/mv /sbin/installer /sbin/installer_old
  fi
  /bin/mv /sbin/installer_new /sbin/installer
else
  echo "cannot exec /bin/mv. move /sbin/installer_new to /sbin/installer manually"
fi

pkg_scripts="installpkg installpkg2 installpkg2.mes makepkg updatepkg removepkg"
cd /sbin
for i in $pkg_scripts ; do
    if [ -f $i ]; then
        mv $i ${i}.org
    fi
    mv new_${i} $i
done

if [ -f /var/log/packages/pkgtools7 ]; then
  rm -f /var/log/packages/pkgtools7
fi

#%% end
